#!/usr/bin/perl
# --- Use Relative Path for configuration-----
use File::Copy;

my $AUA_HOME="$ENV{AUA_HOME}";
my $JAVA_HOME="$ENV{JAVA_HOME}";

if ( $JAVA_HOME ne "" )
{
  # Check if fake tools.jar exist, this is for ApacheANT
  if ( ! "-e $JAVA_HOME/lib/tools.jar" )
  {
    copy("$AUA_HOME/lib/tools.jar", "$JAVA_HOME/lib/tools.jar") || warn "Could not copy tools.jar to $JAVA_HOME";
  }

}

# ----------------- Setup the IPC directory ------------------------------------
# Check if IPC directory exist
if ( -e "$AUA_HOME/ipc" ) {
  chmod 0777, "$AUA_HOME/ipc";
} else {
  mkdir ("$AUA_HOME/ipc", 0777) || die "Failed to create $AUA_HOME/ipc directory!";
}

# Allow all clients to access the ipc directory
if ( -e "$AUA_HOME/ipc/xmlchannel" ) {
  chmod 0777, "$AUA_HOME/ipc/xmlchannel";
} else {
  mkdir ("$AUA_HOME/ipc/xmlchannel", 0777) || die "Failed to create $AUA_HOME/ipc/xmlchannel directory!";
}


# ----------------- Setup the Config file permission ---------------------------
# Allow all clients to update the config file
if ( -e "$AUA_HOME/config.xml" ) {
  chmod 0777, "$AUA_HOME/config.xml";
} else {
  die "$AUA_HOME/config.xml not found!";
}

