@echo off
REM ##################  SeedLoad.bat  ##########################################
REM # You can use this batch to seed load any of your backup sets from the     #
REM # command line. Just customize the "User Defined Section" below with your  #
REM # values for your seed load action.                                        #
REM ############################################################################
@echo on

REM ####################  Start: User Defined Section  #########################

REM ####################  BACKUP_SET  ##########################################
REM # The name of the backup set that you want to run                          #
REM # If backup set name is not in English, please use BackupSetID             #
REM # e.g. SET BACKUP_SET=1119083740107                                        #
REM #  or  SET BACKUP_SET=FileBackupSet-1                                      #
REM ############################################################################
SET BACKUP_SET=

REM ####################  OUTPUT_DIR  ##########################################
REM # The directory where you want your seed loaded file to be spooled         #
REM # e.g. SET OUTPUT_DIR=C:\Seedload                                          #
REM ############################################################################
SET OUTPUT_DIR=C:\Seedload

REM ####################  BACKUP_TYPE  #########################################
REM # Set backup type. You don't need to change this if you are backing up a   #
REM # file backup set.                                                         #
REM # Options available: FILE/DATABASE/DIFFERENTIAL/LOG                        #
REM # e.g. SET BACKUP_TYPE=FILE            for file backup                     #
REM #  or  SET BACKUP_TYPE=DATABASE        for Full database backup            #
REM #  or  SET BACKUP_TYPE=DIFFERENTIAL    for Differential database backup    #
REM #  or  SET BACKUP_TYPE=LOG             for Log database backup             #
REM #									       #
REM # For MSExchange 2010 BackupSet			                       #
REM # e.g. SET BACKUP_TYPE="DATABASE"      for Full database backup            #
REM #  or  SET BACKUP_TYPE="DIFFERENTIAL"  for Differential database backup    #
REM #  or  SET BACKUP_TYPE="LOG"           for Incremental database backup     #
REM #  or  SET BACKUP_TYPE="COPY"          for Copy database backup 	       #
REM ############################################################################
SET BACKUP_TYPE=FILE

REM ####################  END: User Defined Section  ###########################

REM ####################  APP_HOME  ############################################
REM # You don't need to change this if you are running this batch file by      #
REM # double-clicking it.                                                      #
REM # e.g. SET APP_HOME=..                                                     #
REM #  or  SET APP_HOME=C:\Program Files\OBC                                   #
REM ############################################################################
SET APP_HOME=..
SET CONFIG_HOME=
SET JAVA_HOME=%APP_HOME%\jvm
SET JAVA_EXE=%JAVA_HOME%\bin\java.exe
SET JAVA_OPTS=-Xms32m -Xmx384m -Dsun.java2d.noddraw 
SET JAVA_LIB_PATH=-Djava.library.path=%APP_HOME%\bin
SET PATH=%JAVA_HOME%\bin;%PATH%
SET CLASSPATH=%APP_HOME%\bin;%APP_HOME%\bin\obc.jar;%APP_HOME%\bin\obc-lib.jar;

ECHO Seed Loading Backup Set - %BACKUP_SET% ...
%JAVA_EXE% %JAVA_LIB_PATH% -cp %CLASSPATH% %JAVA_OPTS% SeedLoad "%APP_HOME%" "%BACKUP_SET%" "%OUTPUT_DIR%" "%BACKUP_TYPE%" "%CONFIG_HOME%"
pause
